Bug 656565 - Please Update Spec File to use %ghost on files in /var/run and /var/lock
Please Update Spec File to use %ghost on files in /var/run and /var/lock
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: couchdb (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
http://lists.fedoraproject.org/piperm...
:
Depends On:
Blocks: 827166
  Show dependency treegraph
 
Reported: 2010-11-23 18:26 EST by Lennart Poettering
Modified: 2012-05-31 15:39 EDT (History)
3 users (show)

See Also:
Fixed In Version: erlang-ibrowse-2.2.0-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 17:55:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
/etc/tmpfiles.d/couchdb.conf (39 bytes, application/octet-stream)
2011-04-10 05:25 EDT, Tobias Florek
no flags Details

  None (edit)
Description Lennart Poettering 2010-11-23 18:26:39 EST
Your package couchdb appears to include a file in /var/run or /var/lock. With an upcoming change in Rawhide these directories will now be mounted as tmpfs. For details about this change please consult http://lists.fedoraproject.org/pipermail/devel-announce/2010-November/000726.html For your package this means that you need add %ghost to all files that are placed in either of these two directories. Please make sure to make this change in time for the F15 cycle. For details about %ghost see http://www.rpm.org/max-rpm-snapshot/s1-rpm-inside-files-list-directives.html#S3-RPM-INSIDE-FLIST-GHOST-DIRECTIVE , for more information on the F15 feature see the feature page https://fedoraproject.org/wiki/Features/var-run-tmpfs . If your package already uses %ghost on these files, feel free to close this bug report right-away. Sorry for this mass bug filing, and if you have any further questions, don't hesitate to ask on fedora-devel or ask me personally. Thank you, Lennart
Comment 1 Bobby Powers 2011-04-05 03:00:19 EDT
I'm on rawhide and recently have had to
$ sudo mkdir /var/run/couchdb
$ sudo chown couchdb:couchdb /var/run/couchdb
in order to get couch to start.  I'm running couchdb-1.0.2-2.fc16.x86_64, so this still appears to be an open issue.
Comment 2 Tobias Florek 2011-04-10 05:25:52 EDT
Created attachment 491048 [details]
/etc/tmpfiles.d/couchdb.conf
Comment 3 Tobias Florek 2011-04-10 05:26:33 EDT
the couchdb init script in fedora does not need a special /var/lock file (uses file /var/lock/subsys/couchdb, which works fine as is), but a /var/run/couchdb is necessary.

i have attached a working file (btw: test systemd-tmpfiles --create) /etc/tmpfiles.d/couchdb with following content.

d /var/run/couchdb 710 couchdb couchdb
Comment 4 Fedora Update System 2011-06-18 08:38:07 EDT
erlang-ibrowse-2.2.0-2.fc14,couchdb-1.0.2-7.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/erlang-ibrowse-2.2.0-2.fc14,couchdb-1.0.2-7.fc14
Comment 5 Fedora Update System 2011-06-18 08:38:20 EDT
erlang-ibrowse-2.2.0-2.el6,couchdb-1.0.2-7.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/erlang-ibrowse-2.2.0-2.el6,couchdb-1.0.2-7.el6
Comment 6 Fedora Update System 2011-06-18 08:38:32 EDT
couchdb-1.0.2-7.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/couchdb-1.0.2-7.fc15
Comment 7 Fedora Update System 2011-06-21 13:09:40 EDT
Package couchdb-1.0.2-7.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing couchdb-1.0.2-7.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/couchdb-1.0.2-7.fc15
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2011-06-29 17:55:01 EDT
erlang-ibrowse-2.2.0-2.fc14, couchdb-1.0.2-7.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2011-06-29 18:03:26 EDT
couchdb-1.0.2-7.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2011-07-12 10:57:35 EDT
erlang-ibrowse-2.2.0-2.el6, couchdb-1.0.2-7.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.